Bug 1274976 - FF crashes with „layers.acceleration.force-enabled“ set to „true“
FF crashes with „layers.acceleration.force-enabled“ set to „true“
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 08:02 EDT by Vít Ondruch
Modified: 2015-11-09 11:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 07:53:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update log (96.76 KB, text/plain)
2015-10-24 08:02 EDT, Vít Ondruch
no flags Details

  None (edit)
Description Vít Ondruch 2015-10-24 08:02:31 EDT
Created attachment 1086078 [details]
Update log

Description of problem:
A while ago, I setup my FF according to article [1]. With latest Rawhide, I cannot replay youtube videos anymore with the „layers.acceleration.force-enabled“ set to „true“, while it used to work just fine. Setting this option back to false solves the issue for me.

Version-Release number of selected component (if applicable):
$ rpm -q firefox flash-plugin 
firefox-41.0.2-2.fc24.x86_64
flash-plugin-11.2.202.540-release.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Please see the attached log from my upgrade.


[1]http://mojefedora.cz/firefox-omtc/
Comment 1 Vít Ondruch 2015-11-04 17:20:37 EST
This seems to be HW specific, since it works on my other system, but fails on this particular one. Here is the info:



{
  "application": {
    "name": "Firefox",
    "version": "42.0",
    "buildID": "20151102093639",
    "userAgent": "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:42.0) Gecko/20100101 Firefox/42.0",
    "safeMode": false,
    "supportURL": "https://support.mozilla.org/1/firefox/42.0/Linux/cs/",
    "numTotalWindows": 1,
    "numRemoteWindows": 0,
    "remoteAutoStart": false
  },
  "modifiedPreferences": {
    "accessibility.typeaheadfind.flashBar": 0,
    "browser.cache.disk.smart_size.first_run": false,
    "browser.cache.frecency_experiment": 3,
    "browser.cache.disk.filesystem_reported": 1,
    "browser.cache.disk.capacity": 358400,
    "browser.cache.disk.smart_size.use_old_max": false,
    "browser.cache.disk.smart_size_cached_value": 358400,
    "browser.download.importedFromSqlite": true,
    "browser.download.manager.retention": 0,
    "browser.download.manager.showWhenStarting": false,
    "browser.fixup.alternate.suffix": ".cz",
    "browser.history_expire_days.mirror": 180,
    "browser.places.updateRecentTagsUri": false,
    "browser.places.smartBookmarksVersion": 7,
    "browser.places.importDefaults": false,
    "browser.places.migratePostDataAnnotations": false,
    "browser.privatebrowsing.dont_prompt_on_enter": true,
    "browser.sessionstore.upgradeBackup.latestBuildID": "20151102093639",
    "browser.startup.homepage_override.mstone": "42.0",
    "browser.startup.homepage_override.buildID": "20151102093639",
    "browser.tabs.tabMinWidth": 16,
    "browser.tabs.closeWindowWithLastTab": false,
    "dom.ipc.plugins.enabled.npietab2.dll": true,
    "dom.apps.reset-permissions": true,
    "dom.w3c_touch_events.expose": false,
    "dom.mozApps.used": true,
    "extensions.checkCompatibility.3.6": false,
    "extensions.checkCompatibility": false,
    "extensions.checkCompatibility.4.0": true,
    "extensions.lastAppVersion": "42.0",
    "font.language.group": "x-western",
    "general.useragent.extra.microsoftdotnet": "( .NET CLR 3.5.30729; .NET4.0E)",
    "gfx.direct3d.prefer_10_1": true,
    "gfx.xrender.enabled": false,
    "gfx.direct3d.last_used_feature_level_idx": 0,
    "layers.use-image-offscreen-surfaces": true,
    "media.webrtc.debug.aec_log_dir": "/tmp/",
    "media.webrtc.debug.log_file": "/tmp/WebRTC.log",
    "media.gmp-gmpopenh264.lastUpdate": 1432158840,
    "media.gmp-gmpopenh264.version": "1.4",
    "media.gmp-manager.lastCheck": 1446673577,
    "media.gmp-manager.buildID": "20151102093639",
    "mousewheel.system_scroll_override_on_root_content.enabled": true,
    "network.prefetch-next": false,
    "network.http.speculative-parallel-limit": 0,
    "network.predictor.cleaned-up": true,
    "network.cookie.prefsMigrated": true,
    "places.history.expiration.transient_current_max_pages": 104858,
    "places.last_vacuum": 1299754763,
    "places.database.lastMaintenance": 1446301772,
    "places.history.expiration.transient_optimal_database_size": 100323819,
    "plugin.importedState": true,
    "plugin.disable_full_page_plugin_for_types": "application/pdf",
    "plugin.soname.list": "",
    "print.printer_Lexmark_120n.print_edge_left": 0,
    "print.printer_Ghostscript_PDF.print_pagedelay": 500,
    "print.printer_Lexmark_120n.print_orientation": 0,
    "print.printer_Ghostscript_PDF.print_plex_name": "",
    "print.printer_Lexmark_120n.print_paper_size_unit": 1,
    "print.print_margin_top": "0.5",
    "print.print_bgcolor": false,
    "print.print_paper_size_unit": 1,
    "print.printer_Lexmark_120n.print_colorspace": "",
    "print.printer_Ghostscript_PDF.print_footerright": "",
    "print.print_to_file": false,
    "print.printer_Ghostscript_PDF.print_unwriteable_margin_right": 0,
    "print.printer_Ghostscript_PDF.print_edge_top": 0,
    "print.printer_Lexmark_120n.print_footerleft": "",
    "print.printer_Lexmark_120n.print_paper_width": "  8,50",
    "print.printer_Lexmark_120n.print_margin_top": "0.5",
    "print.printer_Ghostscript_PDF.print_oddpages": true,
    "print.printer_Lexmark_120n.print_edge_right": 0,
    "print.print_orientation": 0,
    "print.printer_Lexmark_120n.print_scaling": "  0,50",
    "print.printer_Lexmark_120n.print_headerleft": "",
    "print.printer_Ghostscript_PDF.print_footercenter": "",
    "print.printer_Ghostscript_PDF.print_colorspace": "",
    "print.printer_Lexmark_120n.print_in_color": true,
    "print.printer_Ghostscript_PDF.print_resolution_name": "",
    "print.printer_Ghostscript_PDF.print_in_color": true,
    "print.print_paper_height": "297,00",
    "print.printer_Ghostscript_PDF.print_headerleft": "",
    "print.printer_Lexmark_120n.print_margin_right": "0.5",
    "print.printer_Ghostscript_PDF.print_paper_width": "  8,50",
    "print.printer_Ghostscript_PDF.print_resolution": 0,
    "print.printer_Ghostscript_PDF.print_paper_data": 9,
    "print.print_scaling": "  1,00",
    "print.printer_Ghostscript_PDF.print_page_delay": 50,
    "print.printer_Ghostscript_PDF.print_paper_size_type": 0,
    "print.printer_Ghostscript_PDF.print_command": "",
    "print.print_unwriteable_margin_right": 25,
    "print.printer_Lexmark_120n.print_page_delay": 50,
    "print.printer_Lexmark_120n.print_duplex": 0,
    "print.printer_Lexmark_120n.print_footercenter": "",
    "print.printer_Ghostscript_PDF.print_headercenter": "",
    "print.print_printer": "Lexmark 120n",
    "print.printer_Ghostscript_PDF.print_unwriteable_margin_bottom": 0,
    "print.printer_Lexmark_120n.print_bgcolor": false,
    "print.print_unwriteable_margin_left": 25,
    "print.printer_Ghostscript_PDF.print_reversed": false,
    "print.printer_Lexmark_120n.print_unwriteable_margin_bottom": 0,
    "print.printer_Lexmark_120n.print_resolution": 0,
    "print.printer_Ghostscript_PDF.print_edge_left": 0,
    "print.printer_Lexmark_120n.print_headercenter": "",
    "print.printer_Lexmark_120n.print_paper_name": "",
    "print.print_paper_data": 0,
    "print.print_plex_name": "default",
    "print.printer_Ghostscript_PDF.print_margin_left": "0.5",
    "print.printer_Lexmark_120n.print_command": "",
    "print.printer_Lexmark_120n.print_headerright": "",
    "print.printer_Lexmark_120n.print_resolution_name": "",
    "print.printer_Ghostscript_PDF.print_margin_top": "0.5",
    "print.print_resolution": 600,
    "print.printer_Lexmark_120n.print_oddpages": true,
    "print.printer_Lexmark_120n.print_bgimages": false,
    "print.print_unwriteable_margin_bottom": 50,
    "print.printer_Ghostscript_PDF.print_margin_bottom": "0.5",
    "print.print_paper_name": "iso_a4",
    "print.printer_Lexmark_120n.print_reversed": false,
    "print.printer_Ghostscript_PDF.print_bgcolor": false,
    "print.printer_Ghostscript_PDF.print_evenpages": true,
    "print.printer_Lexmark_120n.print_downloadfonts": false,
    "print.printer_Ghostscript_PDF.print_orientation": 1,
    "print.print_oddpages": true,
    "print.printer_Lexmark_120n.print_edge_top": 0,
    "print.printer_Lexmark_120n.print_shrink_to_fit": false,
    "print.printer_Ghostscript_PDF.print_unwriteable_margin_top": 0,
    "print.printer_Lexmark_120n.print_unwriteable_margin_top": 0,
    "print.print_paper_width": "210,00",
    "print.printer_Lexmark_120n.print_evenpages": true,
    "print.print_bgimages": false,
    "print.print_downloadfonts": false,
    "print.printer_Ghostscript_PDF.print_bgimages": false,
    "print.printer_Lexmark_120n.print_footerright": "",
    "print.printer_Ghostscript_PDF.print_unwriteable_margin_left": 0,
    "print.print_resolution_name": "default",
    "print.printer_Ghostscript_PDF.print_duplex": 0,
    "print.print_duplex": 0,
    "print.printer_Ghostscript_PDF.print_scaling": "  0,50",
    "print.printer_Lexmark_120n.print_to_file": false,
    "print.printer_Ghostscript_PDF.print_paper_size_unit": 1,
    "print.printer_Ghostscript_PDF.print_paper_name": "",
    "print.printer_Lexmark_120n.print_unwriteable_margin_right": 0,
    "print.print_evenpages": true,
    "print.printer_Lexmark_120n.print_margin_left": "0.5",
    "print.printer_Lexmark_120n.print_margin_bottom": "0.5",
    "print.printer_Ghostscript_PDF.print_edge_bottom": 0,
    "print.printer_Ghostscript_PDF.print_downloadfonts": false,
    "print.printer_Lexmark_120n.print_paper_data": 9,
    "print.printer_Lexmark_120n.print_paper_height": " 11,00",
    "print.print_margin_left": "0.5",
    "print.printer_Lexmark_120n.print_edge_bottom": 0,
    "print.printer_Lexmark_120n.print_unwriteable_margin_left": 0,
    "print.printer_Ghostscript_PDF.print_headerright": "",
    "print.print_colorspace": "default",
    "print.printer_Ghostscript_PDF.print_edge_right": 0,
    "print.print_shrink_to_fit": true,
    "print.printer_Ghostscript_PDF.print_to_file": true,
    "print.printer_Ghostscript_PDF.print_paper_height": " 11,00",
    "print.print_margin_right": "0.5",
    "print.print_unwriteable_margin_top": 50,
    "print.print_margin_bottom": "0.5",
    "print.print_in_color": true,
    "print.print_paper_size_type": 1,
    "print.print_page_delay": 50,
    "print.printer_Ghostscript_PDF.print_footerleft": "",
    "print.printer_Ghostscript_PDF.print_margin_right": "0.5",
    "print.printer_Lexmark_120n.print_paper_size_type": 0,
    "print.printer_Ghostscript_PDF.print_shrink_to_fit": false,
    "print.printer_Lexmark_120n.print_plex_name": "",
    "privacy.sanitize.timeSpan": 0,
    "privacy.cpd.sessions": false,
    "privacy.cpd.cookies": false,
    "privacy.donottrackheader.enabled": true,
    "privacy.cpd.formdata": false,
    "privacy.cpd.extensions-tabmix": false,
    "privacy.cpd.cache": false,
    "privacy.sanitize.migrateFx3Prefs": true,
    "security.warn_viewing_mixed": false,
    "security.disable_button.openCertManager": false,
    "storage.vacuum.last.index": 2,
    "storage.vacuum.last.places.sqlite": 1445512906
  },
  "lockedPreferences": {},
  "graphics": {
    "numTotalWindows": 1,
    "numAcceleratedWindows": 0,
    "windowLayerManagerType": "Basic",
    "windowLayerManagerRemote": true,
    "supportsHardwareH264": false,
    "numAcceleratedWindowsMessage": [
      ""
    ],
    "adapterDescription": "Intel Open Source Technology Center -- Mesa DRI Intel(R) Ironlake Mobile ",
    "adapterVendorID": "Intel Open Source Technology Center",
    "adapterDeviceID": "Mesa DRI Intel(R) Ironlake Mobile ",
    "adapterRAM": "",
    "adapterDrivers": "",
    "driverVersion": "2.1 Mesa 11.1.0-devel (git-3994ef5)",
    "driverDate": "",
    "webglRenderer": "Intel Open Source Technology Center -- Mesa DRI Intel(R) Ironlake Mobile ",
    "info": {
      "AzureCanvasBackend": "cairo",
      "AzureSkiaAccelerated": 0,
      "AzureFallbackCanvasBackend": "none",
      "AzureContentBackend": "cairo",
      "CairoUseXRender": 0
    }
  },
  "javaScript": {
    "incrementalGCEnabled": true
  },
  "accessibility": {
    "isActive": false,
    "forceDisabled": 0
  },
  "libraryVersions": {
    "NSPR": {
      "minVersion": "4.10.10",
      "version": "4.10.10"
    },
    "NSS": {
      "minVersion": "3.20.1 Basic ECC",
      "version": "3.20.1 Extended ECC"
    },
    "NSSUTIL": {
      "minVersion": "3.20.1",
      "version": "3.20.1"
    },
    "NSSSSL": {
      "minVersion": "3.20.1 Basic ECC",
      "version": "3.20.1 Extended ECC"
    },
    "NSSSMIME": {
      "minVersion": "3.20.1 Basic ECC",
      "version": "3.20.1 Extended ECC"
    }
  },
  "userJS": {
    "exists": false
  },
  "crashes": {
    "submitted": [
      {
        "id": "bp-d983b49c-dd43-4ae9-9210-1b2502151104",
        "date": 1446675576000,
        "pending": false
      },
      {
        "id": "bp-0263bc3d-9688-484a-aa18-531232151104",
        "date": 1446675560000,
        "pending": false
      },
      {
        "id": "bp-a59065c7-8223-4300-9673-dca842151104",
        "date": 1446674119000,
        "pending": false
      }
    ],
    "pending": 0
  },
  "sandbox": {
    "hasSeccompBPF": true,
    "hasSeccompTSync": true,
    "hasPrivilegedUserNamespaces": true,
    "hasUserNamespaces": true,
    "canSandboxMedia": true
  },
  "extensions": [
    {
      "name": "Brief",
      "version": "2.1a1",
      "isActive": true,
      "id": "brief@mozdev.org"
    },
    {
      "name": "Dictionary Switcher",
      "version": "1.3.3.1-signed",
      "isActive": true,
      "id": "dictionary-switcher@design-noir.de"
    },
    {
      "name": "DNSSEC/TLSA Validátor",
      "version": "2.2.0.2.1-signed",
      "isActive": true,
      "id": "dnssec@nic.cz"
    },
    {
      "name": "Firebug",
      "version": "2.0.13",
      "isActive": true,
      "id": "firebug@software.joehewitt.com"
    },
    {
      "name": "FireRainbow",
      "version": "1.5.1-signed",
      "isActive": true,
      "id": "firerainbow@hildebrand.cz"
    },
    {
      "name": "GitHub Extension Installer",
      "version": "1.6.0.1-signed",
      "isActive": true,
      "id": "{86054B0A-BD85-42F9-8E58-8794EC6F6EA1}"
    },
    {
      "name": "Greasemonkey",
      "version": "3.5",
      "isActive": true,
      "id": "{e4a8a97b-f2ed-450b-b12d-ee082ba24781}"
    },
    {
      "name": "Image Zoom",
      "version": "0.6.3.1-signed",
      "isActive": true,
      "id": "{1A2D0EC4-75F5-4c91-89C4-3656F6E44B68}"
    },
    {
      "name": "Locationbar²",
      "version": "1.0.6.1-signed",
      "isActive": true,
      "id": "locationbar2@design-noir.de"
    },
    {
      "name": "Tab Mix Plus",
      "version": "0.4.2.0pre.151031a1",
      "isActive": true,
      "id": "{dc572301-7619-498c-a57d-39143191b318}"
    },
    {
      "name": "Text Link",
      "version": "5.0.2015060501",
      "isActive": true,
      "id": "{54BB9F3F-07E5-486c-9B39-C7398B99391C}"
    },
    {
      "name": "UAControl",
      "version": "0.1.3.1.1-signed",
      "isActive": true,
      "id": "uacontrol@qz.tsugumi.org"
    },
    {
      "name": "uBlock Origin",
      "version": "1.3.2",
      "isActive": true,
      "id": "uBlock0@raymondhill.net"
    }
  ],
  "experiments": []
}
Comment 2 Jan Horak 2015-11-09 07:53:32 EST
Lets stick with default value of 'layers.acceleration.force-enabled', changing any preference in about:config can lead to incorrect behaviour that's why there's a warning everytime you go to about:config page. Please reopen when this preference become 'true' by default and making problems to you. Thank you.
Comment 3 Vít Ondruch 2015-11-09 08:30:41 EST
Ugh ... Sorry, but if there is blog post form FF maintainer, which encourages some testing and I do so, I don't expect response as me being stupid that I enabled such option. But I'll consider it next time you'd like to get some feedback about FF. Thank you.
Comment 4 Jan Horak 2015-11-09 11:22:10 EST
I didn't mean to offend you. If you'd like to participate to some testing you are very welcomed. It this case the best way is to fill a bug at: https://bugzilla.mozilla.org 
We don't work on this stuff (acceleration) so reporting to Mozilla is much more useful in way that Mozilla staff can get some more relevant info from you than we can.

Note You need to log in before you can comment on or make changes to this bug.